using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace FactoryExample
{
    public class BlueBulletFactory : BulletFactory, IFactory<BulletBehaviour>
	{
		public BulletBehaviour BulletPrefab;

		public override BulletBehaviour Create()
		{
			return Instantiate(BulletPrefab, transform);
		}
	}
}
