using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

namespace ObserverExample
{
    public class CircleHpUi : MonoBehaviour
	{
		[SerializeField]
		private HpBehaviour _hpBeh;

		[SerializeField]
		private Image _fillImage;

		private void Start()
		{
			_hpBeh.OnHpChanged += OnHpChanged;

			OnHpChanged(_hpBeh.CurrentHP, _hpBeh.MaxHP);
		}

		private void OnHpChanged(int currentHp, int MaxHp)
		{
			_fillImage.fillAmount = currentHp / (float)MaxHp;
		}
	}
}
