using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

namespace ObserverExample
{
    public class LineHpUi : MonoBehaviour
    {
        [SerializeField]
        private HpBehaviour _hpBeh;

        [SerializeField]
        private Slider _slider;

		private void Start()
		{
			_hpBeh.OnHpChanged += OnHpChanged;

			OnHpChanged(_hpBeh.CurrentHP, _hpBeh.MaxHP);
		}

		private void OnHpChanged(int currentHp, int MaxHp)
		{
			_slider.value = currentHp / (float)MaxHp;
		}
    }
}
